{ pkgs, ... }:

{
  imports = [ ./common.nix ];

  networking.hostName = "builder";

  nix.settings = {
    max-jobs = "auto";
    substituters = [
      "https://cache.nixos.org"
      "https://cache.axiomania.org/main"
    ];
    trusted-public-keys = [
      "main:Uz5F0MbXItVx2XCmBbEAMmQ0T6+DZDgLaXWalh1k++o="
    ];
  };

  environment.systemPackages = with pkgs; [
    git
    tmux
    attic-client
    vim
    htop
  ];
}
